Debian Bug report logs - #508536
aptitude: In gtk GUI 'apply changes' tab should tell you about the work was finished

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: javibarroso@gmail.com

Date: Fri, 12 Dec 2008 08:54:02 UTC

Severity: wishlist

Found in version aptitude/0.5.0-1

Fixed in version aptitude/0.5.1-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#508536; Package aptitude. (Fri, 12 Dec 2008 08:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Barroso <javier.barroso@isotrol.com>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. (Fri, 12 Dec 2008 08:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Barroso <javier.barroso@isotrol.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: In gtk GUI 'apply changes' tab should tell you about the work was finished
Date: Fri, 12 Dec 2008 09:51:39 +0100
Package: aptitude
Version: 0.5.0-1
Severity: wishlist

When aptitude-gtk is applying changes, you don't have any notice about the changes were applied fine or not.

I would like tab name change from "Aplying changes" to "Changes applied" or "Applying changes (DONE)" and "Changes failed" or "Applying changes (FAILED)" or similar

Thanks you!


-- Package-specific info:
aptitude 0.5.0 compilado en Nov 12 2008 06:14:17
Compilador: g++ 4.3.2
Compilado con:
 versión apt 4.6.0
 Versión de NCurses: 5.6
 Versión de libsigc++: 2.0.18
  Activado el soporte de Ept.

Versiones de librerias actuales:
 Versión de NCurses: ncurses 5.7.20081129
 Versión de cwidget: 0.5.12
 Versión de Apt: 4.6.0
	linux-gate.so.1 =>  (0xb7f33000)
	libapt-pkg-libc6.7-6.so.4.6 => /usr/lib/libapt-pkg-libc6.7-6.so.4.6 (0xb7e5c000)
	libncursesw.so.5 => /lib/libncursesw.so.5 (0xb7e1e000)
	libsigc-2.0.so.0 => /usr/lib/libsigc-2.0.so.0 (0xb7e17000)
	libcwidget.so.3 => /usr/lib/libcwidget.so.3 (0xb7d53000)
	libglibmm-2.4.so.1 => /usr/lib/libglibmm-2.4.so.1 (0xb7cfc000)
	libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xb7cc1000)
	libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb7c0c000)
	libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb7c07000)
	librt.so.1 => /lib/i686/cmov/librt.so.1 (0xb7bfd000)
	libgtkmm-2.4.so.1 => /usr/lib/libgtkmm-2.4.so.1 (0xb78d2000)
	libgdkmm-2.4.so.1 => /usr/lib/libgdkmm-2.4.so.1 (0xb788a000)
	libatkmm-1.6.so.1 => /usr/lib/libatkmm-1.6.so.1 (0xb7845000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0xb74ba000)
	libpangomm-1.4.so.1 => /usr/lib/libpangomm-1.4.so.1 (0xb748c000)
	libcairomm-1.0.so.1 => /usr/lib/libcairomm-1.0.so.1 (0xb7472000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0xb73eb000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0xb73d0000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0xb73b8000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0xb73ae000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0xb736d000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0xb7301000)
	libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xb72fd000)
	libdl.so.2 => /lib/i686/cmov/libdl.so.2 (0xb72f9000)
	libglademm-2.4.so.1 => /usr/lib/libglademm-2.4.so.1 (0xb72ef000)
	libglade-2.0.so.0 => /usr/lib/libglade-2.0.so.0 (0xb72d8000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb719e000)
	libm.so.6 => /lib/i686/cmov/libm.so.6 (0xb7178000)
	libvte.so.9 => /usr/lib/libvte.so.9 (0xb70c1000)
	libpangoxft-1.0.so.0 => /usr/lib/libpangoxft-1.0.so.0 (0xb70ba000)
	libpangox-1.0.so.0 => /usr/lib/libpangox-1.0.so.0 (0xb70af000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0xb6fc0000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb6f98000)
	libXft.so.2 => /usr/lib/libXft.so.2 (0xb6f85000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb6f10000)
	libz.so.1 => /usr/lib/libz.so.1 (0xb6efb000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb6ed0000)
	libept.so.0 => /usr/lib/libept.so.0 (0xb6e0c000)
	libxapian.so.15 => /usr/lib/libxapian.so.15 (0xb6cb5000)
	libpthread.so.0 => /lib/i686/cmov/libpthread.so.0 (0xb6c9c000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb6bae000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb6ba1000)
	libc.so.6 => /lib/i686/cmov/libc.so.6 (0xb6a46000)
	libutil.so.1 => /lib/i686/cmov/libutil.so.1 (0xb6a42000)
	libpcre.so.3 => /usr/lib/libpcre.so.3 (0xb6a12000)
	/lib/ld-linux.so.2 (0xb7f34000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xb6a0f000)
	libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xb6a0c000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb6a07000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0xb69f8000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb69ef000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb69ec000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0xb69e4000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb69de000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb69d5000)
	libdirectfb-1.0.so.0 => /usr/lib/libdirectfb-1.0.so.0 (0xb696d000)
	libfusion-1.0.so.0 => /usr/lib/libfusion-1.0.so.0 (0xb6965000)
	libdirect-1.0.so.0 => /usr/lib/libdirect-1.0.so.0 (0xb6951000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb692d000)
	libxcb-render-util.so.0 => /usr/lib/libxcb-render-util.so.0 (0xb6929000)
	libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0xb6921000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb6909000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0xb68e0000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0xb68d8000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0xb68c1000)
	libncurses.so.5 => /lib/libncurses.so.5 (0xb688e000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb688c000)
	libexpat.so.1 => /usr/lib/libexpat.so.1 (0xb6866000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0xb6863000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb685d000)
Terminal: xterm
$DISPLAY is set.
`which aptitude`: /usr/bin/aptitude
aptitude version information:

aptitude linkage:

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6. 0.7.19+b1         Advanced front-end for dpkg
ii  apt-xapian-index       0.15              maintenance tools for a Xapian ind
ii  libatk1.0-0            1.22.0-1          The ATK accessibility toolkit
ii  libc6                  2.7-16            GNU C Library: Shared libraries
ii  libcairo2              1.6.4-7           The Cairo 2D vector graphics libra
ii  libcairomm-1.0-1       1.6.4-1           C++ wrappers for Cairo (shared lib
ii  libcwidget3            0.5.12-3          high-level terminal interface libr
ii  libept0                0.5.26            High-level library for managing De
ii  libfontconfig1         2.6.0-3           generic font configuration library
ii  libfreetype6           2.3.7-2           FreeType 2 font engine, shared lib
ii  libgcc1                1:4.3.2-1         GCC support library
ii  libglade2-0            1:2.6.3-1         library to load .glade files at ru
ii  libglademm-2.4-1c2a    2.6.7-1           C++ wrappers for libglade2 (shared
ii  libglib2.0-0           2.16.6-1          The GLib library of C routines
ii  libglibmm-2.4-1c2a     2.16.4-1          C++ wrapper for the GLib toolkit (
ii  libgtk2.0-0            2.12.11-4         The GTK+ graphical user interface 
ii  libgtkmm-2.4-1c2a      1:2.12.7-1        C++ wrappers for GTK+ 2.4 (shared 
ii  libncursesw5           5.7+20081129-1    shared libraries for terminal hand
ii  libpango1.0-0          1.20.5-3          Layout and rendering of internatio
ii  libsigc++-2.0-0c2a     2.0.18-2          type-safe Signal Framework for C++
ii  libstdc++6             4.3.2-1           The GNU Standard C++ Library v3
ii  libvte9                1:0.16.14-4       Terminal emulator widget for GTK+ 
ii  libx11-6               2:1.1.5-2         X11 client-side library
ii  libxapian15            1.0.7-4           Search engine library
ii  libxft2                2.1.12-3          FreeType-based font drawing librar
ii  libxml2                2.6.32.dfsg-5     GNOME XML library
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages aptitude recommends:
pn  aptitude-doc-en | aptitude-do <none>     (no description available)
ii  libparse-debianchangelog-perl 1.1.1-2    parse Debian changelogs and output

Versions of packages aptitude suggests:
ii  debtags                       1.7.7      Enables support for package tags
ii  tasksel                       2.77       Tool for selecting tasks for insta

-- no debconf information




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 19 Jan 2009 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. (Sat, 24 Jan 2009 16:12:10 GMT) Full text and rfc822 format available.

Notification sent to Javier Barroso <javier.barroso@isotrol.com>:
Bug acknowledged by developer. (Sat, 24 Jan 2009 16:12:10 GMT) Full text and rfc822 format available.

Message #12 received at 508536-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 508536-close@bugs.debian.org
Subject: Bug#508536: fixed in aptitude 0.5.1-1
Date: Sat, 24 Jan 2009 15:48:33 +0000
Source: aptitude
Source-Version: 0.5.1-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-dbg_0.5.1-1_i386.deb
  to pool/main/a/aptitude/aptitude-dbg_0.5.1-1_i386.deb
aptitude-doc-cs_0.5.1-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.5.1-1_all.deb
aptitude-doc-en_0.5.1-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.5.1-1_all.deb
aptitude-doc-fi_0.5.1-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.5.1-1_all.deb
aptitude-doc-fr_0.5.1-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.5.1-1_all.deb
aptitude-doc-ja_0.5.1-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-ja_0.5.1-1_all.deb
aptitude-gtk_0.5.1-1_i386.deb
  to pool/main/a/aptitude/aptitude-gtk_0.5.1-1_i386.deb
aptitude_0.5.1-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.5.1-1.diff.gz
aptitude_0.5.1-1.dsc
  to pool/main/a/aptitude/aptitude_0.5.1-1.dsc
aptitude_0.5.1-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.5.1-1_i386.deb
aptitude_0.5.1.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.5.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 508536@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 18 Jan 2009 17:22:10 -0800
Source: aptitude
Binary: aptitude aptitude-gtk aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-fi aptitude-doc-fr aptitude-doc-ja
Architecture: source i386 all
Version: 0.5.1-1
Distribution: experimental
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based package manager (terminal interface only)
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
 aptitude-gtk - terminal-based package manager (terminal interface only)
Closes: 505467 505675 505676 506651 508536 511559 511725
Changes: 
 aptitude (0.5.1-1) experimental; urgency=low
 .
   * New upstream release.
 .
     - Incremental search should work again in the curses UI.
       (Closes: #506651)
 .
     - Gives more feedback when dpkg finishes. (Closes: #508536)
 .
     - GTK+ interface split out into the package aptitude-gtk, sorry
       ftpmasters. (Closes: #511725, #505467)
 .
     - Fix fortify problems in minesweeper. (Closes: #511559)
 .
     - Fix several translations of plurals (Closes: #505675)
 .
     - Translation updates:
       + Slovak (Closes: #505676)
Checksums-Sha1: 
 94fd04b61821a01fe96b3bbd96c8eae6f47ce63e 1442 aptitude_0.5.1-1.dsc
 e2f25aab3824467008d66d75e644f4c98754d2dd 6722398 aptitude_0.5.1.orig.tar.gz
 3cc469b1a1343f2e959137bab191fb99c8800d0c 41654 aptitude_0.5.1-1.diff.gz
 d45073b6a7473afa68ff616f96ed5a83f15f1462 3125648 aptitude_0.5.1-1_i386.deb
 3cea7bb021aecd18094a4f21670b1c605f6fd67c 1251524 aptitude-gtk_0.5.1-1_i386.deb
 ac8b5c62f9f286901f831a2a01caf4d3a8e6d33b 14733638 aptitude-dbg_0.5.1-1_i386.deb
 7c90e9c7d970ef83f4fa1502a9c4bb6b6665801d 379488 aptitude-doc-cs_0.5.1-1_all.deb
 71e3b8ec048eb8399975d06a434622c4ee50aaf1 371822 aptitude-doc-en_0.5.1-1_all.deb
 206c48ff927942243c843d791f477963d4196acb 271782 aptitude-doc-fi_0.5.1-1_all.deb
 eae1a738d4006053cc53ab0bbc1d5e62f9cdf77b 317974 aptitude-doc-fr_0.5.1-1_all.deb
 fb15f150b8553dc557620d06c2127a55b9a32819 382194 aptitude-doc-ja_0.5.1-1_all.deb
Checksums-Sha256: 
 b4a9b47079fdf6024e681e7c4efd55ee93d7bc96b90fc175df25629e1eafaa56 1442 aptitude_0.5.1-1.dsc
 c4508ab9ef07807d9f9c6fd6348eb1f3973e9cc93ee284f6b8e452cb5c755ebc 6722398 aptitude_0.5.1.orig.tar.gz
 8b7a212a9e6e11d588dad4c964ae004663df072dfb8f7675a53ace53eaeddb29 41654 aptitude_0.5.1-1.diff.gz
 eab5b13af4b0861e1c2d6da3b311633e01ee6e9be5ce8e4d08838769e62de1ae 3125648 aptitude_0.5.1-1_i386.deb
 4ca3f7a9768ce1ab227edfd91071ff1b5e1aadc0146001d5b8b233720af29879 1251524 aptitude-gtk_0.5.1-1_i386.deb
 b317c3950546fddffaafac4966e9109d9e7b03ac886bdfdf42d7c2eb054483e0 14733638 aptitude-dbg_0.5.1-1_i386.deb
 266a014fc58a6b3874488525e599e43a6ab31276f7d2597e81466437cb3c0644 379488 aptitude-doc-cs_0.5.1-1_all.deb
 50194b93feeba1520670dc9c4a58a80625826ecf9bb44a56e109bb7773f02d72 371822 aptitude-doc-en_0.5.1-1_all.deb
 c2370531f44de27ae179ad828b640275d4cbb78235129b5718d4d2442ac9e136 271782 aptitude-doc-fi_0.5.1-1_all.deb
 330f65a207c37f9247b825bab40790d0089b6ad3117e19350bc599221d2dec34 317974 aptitude-doc-fr_0.5.1-1_all.deb
 24aaf447a8f74b69f0906068ea15a76ca25bf1d450e077daef7254607e04de94 382194 aptitude-doc-ja_0.5.1-1_all.deb
Files: 
 2b2a505c038533a0bb20e5e013cfa279 1442 admin - aptitude_0.5.1-1.dsc
 33ee244bdf41649338369b0724e023ba 6722398 admin - aptitude_0.5.1.orig.tar.gz
 f01a897170ad93b5c0b55e6844e58e5d 41654 admin - aptitude_0.5.1-1.diff.gz
 3faf27ec95aae3e849c4d4a7cc576c7d 3125648 admin important aptitude_0.5.1-1_i386.deb
 310492cd180e8ae4cbeb3d00a48d6780 1251524 admin important aptitude-gtk_0.5.1-1_i386.deb
 1db8242e3bb52c8947e419be1033b9c6 14733638 devel extra aptitude-dbg_0.5.1-1_i386.deb
 8d0236039f34d02c0d1e2570ff059731 379488 doc optional aptitude-doc-cs_0.5.1-1_all.deb
 881ede98cc200d456ed930a0e2a0d043 371822 doc optional aptitude-doc-en_0.5.1-1_all.deb
 f37270dab3e765ecbcc1b2e6d72788bb 271782 doc optional aptitude-doc-fi_0.5.1-1_all.deb
 cfddcbc78ff105cf188858efd2cf224a 317974 doc optional aptitude-doc-fr_0.5.1-1_all.deb
 9301891f3fe40df04416c389a3820811 382194 doc optional aptitude-doc-ja_0.5.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkl0MiQACgkQch6xsM7kSXh/kgCgpYfMnSLHjr8WQ3lBzyQmT+Js
9yMAn2ckWINq6WmJgNhbazefx1QpJBZt
=Bh66
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Feb 2009 07:34:36 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Javier Barroso <javibarroso@gmail.com> to control@bugs.debian.org. (Thu, 28 Oct 2010 13:33:02 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'javibarroso@gmail.com' from 'Javier Barroso <javier.barroso@isotrol.com>' Request was from Javier Barroso <javibarroso@gmail.com> to control@bugs.debian.org. (Thu, 28 Oct 2010 13:33:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Javier Barroso <javibarroso@gmail.com> to control@bugs.debian.org. (Thu, 28 Oct 2010 13:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:11:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.